#
# spec file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}

%define mod_name rcssmin

Name:           python-%{mod_name}
Version:        1.1.2
Release:        1.6
Summary:        RCSSmin is a CSS Minifier Written in Python
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            http://opensource.perlig.de/rcssmin/
Source:         https://files.pythonhosted.org/packages/source/r/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%python_subpackages

%description
rCSSmin is a CSS minifier written in python.

The minifier is based on the semantics of the YUI compressor, which
itself is based on the rule list by Isaac Schlueter.

This module is a re-implementation aiming for speed instead of maximum
compression, so it can be used at runtime (rather than during a
preprocessing step). rCSSmin does syntactical compression only
(removing spaces, comments and possibly semicolons). It does not
provide semantic compression (like removing empty blocks, collapsing
redundant properties etc). It does, however, support various CSS hacks
(by keeping them working as intended).

%package -n %{name}-docs
Summary:        Documentation files for %name
Group:          Documentation/HTML

%description -n %{name}-docs
HTML Documentation and examples for %name.

%prep
%setup -q -n %{mod_name}-%{version}

%build
%python_build

%install
%python_install
rm -rf %{buildroot}/usr/share/doc/rcssmin

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md docs/CHANGES
%license LICENSE
%{python_sitearch}/*

%files -n %{name}-docs
%doc docs/_userdoc/

%changelog
* Fri Dec  8 2023 Dirk Müller <dmueller@suse.com>
- update to 1.1.2:
  * Add support for Python 3.12
  * Update project boilerplate
* Wed Jun 21 2023 Andreas Schneider <asn@cryptomilk.org>
- Use sle15_python_module_pythons
* Fri Oct  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 1.1.1
  * ) Add support for Python 3.11
  * ) Update project boilerplate
* Thu Jul 14 2022 Jacob Michalskie <hel@lcp.world>
- Update to version 1.1.0
  + quoted data urls which are not base64 encoded keep their spaces now (#8)
  + Add x86_64, i686 and aarch64 wheels
  + Update python support: 2.7, 3.6+
  + Both python 2 and 3 now accept bytes and text as input. All other types now
    raise a TypeError. Before they possibly have been converted to a string,
    depending on the python version and the implementation. Python 3 also
    accepts bytearray input.
  + Support for PyPy and Jython is no longer tested. Patches are accepted,
    though.
  + The python version will only accept the C implementation if the versions
    match exactly. This should prevent using older installed C versions.
    Fixes #11. This issue is now more relevant since #7 is fixed.
  + Minor adaptions for GCC 8
  + Docs are no longer installed locally.
  + Rework the setup and project management system. Add some real tests. Get rid
    of epydoc in favor of sphinx. Adapt to latest sphinx version.
* Wed Nov 15 2017 buschmann23@opensuse.org
- spec file
  + convert to single spec file
  + move docs into separate package
* Tue Jul  5 2016 aplanas@suse.com
- Add initial version of rCSSmin 1.0.6
